# Lấy thông tin của cửa hàng vector

{% openapi src="/files/uCR2Hrq9CjDxpCLaqzhl" path="/vector-stores/me" method="get" %}
[rememberizer\_openapi.yml](https://4187618229-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fwbxu0T4faQnPtKbPzrD5%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=b77a395b-ed7b-4546-9ec7-182d4939fd1b)
{% endopenapi %}

## Ví dụ Yêu Cầu

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/me \
  -H "x-api-key: YOUR_API_KEY"
```

{% hint style="info" %}
Thay thế `YOUR_API_KEY` bằng khóa API Vector Store thực tế của bạn.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getVectorStoreInfo = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/vector-stores/me', {
    method: 'GET',
    headers: {
      'x-api-key': 'YOUR_API_KEY'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getVectorStoreInfo();
```

{% hint style="info" %}
Thay thế `YOUR_API_KEY` bằng khóa API Vector Store thực tế của bạn.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_vector_store_info():
    headers = {
        "x-api-key": "YOUR_API_KEY"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/vector-stores/me",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_vector_store_info()
```

{% hint style="info" %}
Thay thế `YOUR_API_KEY` bằng khóa API Vector Store thực tế của bạn.
{% endhint %}
{% endtab %}
{% endtabs %}

## Định dạng Phản hồi

```json
{
  "id": "vs_abc123",
  "name": "Cửa hàng Vector của Tôi",
  "description": "Một cửa hàng vector cho tài liệu sản phẩm",
  "embedding_model": "sentence-transformers/all-mpnet-base-v2",
  "indexing_algorithm": "ivfflat",
  "vector_dimension": 128,
  "search_metric": "cosine_distance",
  "created": "2023-06-01T10:30:00Z",
  "modified": "2023-06-15T14:45:00Z"
}
```

## Xác thực

Điểm cuối này yêu cầu xác thực bằng cách sử dụng khóa API trong tiêu đề `x-api-key`.

## Phản hồi lỗi

| Mã trạng thái | Mô tả                                                 |
| ------------- | ----------------------------------------------------- |
| 401           | Không được phép - Khóa API không hợp lệ hoặc bị thiếu |
| 404           | Không tìm thấy - Không tìm thấy Vector Store          |
| 500           | Lỗi máy chủ nội bộ                                    |

Điểm cuối này truy xuất thông tin về vector store liên kết với khóa API đã cung cấp. Nó hữu ích cho việc kiểm tra chi tiết cấu hình, bao gồm mô hình nhúng, kích thước chiều và chỉ số tìm kiếm đang được sử dụng. Thông tin này có thể có giá trị cho việc tối ưu hóa truy vấn tìm kiếm và hiểu khả năng của vector store.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rememberizer.ai/vi/tai-nguyen-cho-nha-phat-trien/api-docs/vector-store/get-vector-stores-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
